Bug 72793 - Add Excel 2010 functions T.DIST, T.DIST.2T, T.DIST.RT, T.INV, T.INV.2T, T.TEST
Summary: Add Excel 2010 functions T.DIST, T.DIST.2T, T.DIST.RT, T.INV, T.INV.2T, T.TEST
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: 70798
  Show dependency treegraph
 
Reported: 2013-12-17 14:24 UTC by Winfried Donkers
Modified: 2014-03-12 17:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2013-12-17 14:24:51 UTC
see meta bug 70798 for details
Comment 1 Commit Notification 2014-01-27 14:14:52 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b1e440304c271e4286255c17a6fe475899bd94f

fdo#72793 Add Excel 2010 functions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2014-01-30 12:40:37 UTC
Loading the functions-excel-2010.xlsx test case document and recalculating (Shift+Ctrl+F9) all formulas reveals that in row 66 the T.INV.2T() yields Err:502 (invalid arguments). That case is also still disabled in sc/qa/unit/subsequent_filters-test.cxx

Isn't this fully implemented?
Reopening this bug. Feel free to close and create a new one if deemed more appropriate.
Comment 3 Winfried Donkers 2014-01-30 16:02:32 UTC
(In reply to comment #2)
> Loading the functions-excel-2010.xlsx test case document and recalculating
> (Shift+Ctrl+F9) all formulas reveals that in row 66 the T.INV.2T() yields
> Err:502 (invalid arguments). That case is also still disabled in
> sc/qa/unit/subsequent_filters-test.cxx
> 
> Isn't this fully implemented?
> Reopening this bug. Feel free to close and create a new one if deemed more
> appropriate.

@Eike: Please see https://bugs.freedesktop.org/show_bug.cgi?id=70798#c19 and
https://bugs.freedesktop.org/show_bug.cgi?id=70798#c20
IMO the formula in row 66 can't give a proper result with a probability of 1.3333
I had row 66 disabled on purpose because of this.

It will need a test/proof with Excel because the Excel result was OK before (I guess, can;t check myself). Can you confirm my suspicion and if yes, can you push a revised xlsx document so that I can enable the test for row 66? If not, I'm at a loss ;-)
I will keep the status if this bug reopened for the moment; we can close it as soon as the test is enabled (and OK).
Comment 4 Winfried Donkers 2014-01-30 16:03:18 UTC
(In reply to comment #3)
> I will keep the status if this bug reopened for the moment; we can close it
> as soon as the test is enabled (and OK).

For if read of.
Comment 5 Mike Kaganski 2014-02-28 02:34:51 UTC
(In reply to comment #3)
> IMO the formula in row 66 can't give a proper result with a probability of
> 1.3333
According to MS (http://office.microsoft.com/en-us/help/t-inv-2t-function-HP010335700.aspx for Excel 2010, http://office.microsoft.com/en-us/excel-help/t-inv-2t-function-HA102753136.aspx for Excel 2013 and Excel Online), you are quite right: the function should give #NUM! error on probability > 1.
But actually, both Excel 2013 and Excel Online give numeric result in row 66 of the abovementioned file (attachment 89635 [details]), and TRUE in D66. Funny :) Is it a bug, or a feature? %)

By the way, maybe it could be useful for you to have a Live.com account to test stuff in Office Online?
Comment 6 Winfried Donkers 2014-02-28 06:52:10 UTC
(In reply to comment #3)
> (In reply to comment #2)

@Eike,
I suddenly see that you wre not on the CC-list.
Please see my comment #3 and comment #5.
Comment 7 Eike Rathke 2014-03-12 17:11:19 UTC
Ah well, if it works according to their specification (or let's say description) don't bother with finding out what they do in cases they didn't specify. IMHO a probability >1 is meaningless anyway. IF someone came up with a proper use case for that unspecified behavior we could look at it again.